UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_datagram_acceleration_func_t_stct Struct Reference

A structure used to hold functions to configure datagram acceleration implementation callbacks. More...

`#include <lbm.h>`

## Data Fields
lbm_datagram_acceleration_init_function_t | init
| Function pointer for datagram acceleration initialization.
lbm_datagram_acceleration_open_function_t | open
| Function pointer for datagram acceleration open.
lbm_datagram_acceleration_close_function_t | close
| Function pointer for datagram acceleration close.
lbm_datagram_acceleration_bind_function_t | bind
| Function pointer for datagram acceleration bind.
lbm_datagram_acceleration_unbind_function_t | unbind
| Function pointer for datagram acceleration unbind.
lbm_datagram_acceleration_mcast_join_function_t | mcast_join
| Function pointer for datagram acceleration multicast join.
lbm_datagram_acceleration_mcast_leave_function_t | mcast_leave
| Function pointer for datagram acceleration multicast leave.
lbm_datagram_acceleration_recvfrom_function_t | recvfrom
| Function pointer for datagram acceleration receive from.
lbm_datagram_acceleration_send_connect_function_t | send_connect
| Function pointer for datagram acceleration send connect.
lbm_datagram_acceleration_send_disconnect_function_t | send_disconnect
| Function pointer for datagram acceleration send disconnect.
lbm_datagram_acceleration_send_function_t | send
| Function pointer for datagram acceleration send.
lbm_datagram_acceleration_sendto_function_t | sendto
| Function pointer for datagram acceleration send to.
lbm_datagram_acceleration_getaddr_function_t | getaddr
| Function pointer for datagram acceleration get address.

## Detailed Description

A structure used to hold functions to configure datagram acceleration implementation callbacks.

Set by the datagram_acceleration_functions (context) configuration option. All function pointers must be supplied.

See lbm_datagram_acceleration_func_t_stct for field definitions.

The documentation for this struct was generated from the following file:

- lbm.h